//착신전환
$(()=>{
    //착신전화 등록 버튼
    $(".reg_forw").on("click", function(){
        
        let time_type = $('input[name="time"]:checked').val();
        let start_time = $("#forward_start_time").val();
        let stop_time = $("#forward_end_time").val();
        let type = $('input[name="condition"]:checked').val();
        let to = $(".forw_num").val();
        if(type == "0"){
            popAlert("착신전환 동작 조건 설정을\n선택해 주세요.");
            return;
        }
        // 매일이면 시간 강제입력 (어자피 사용하지 않음)
        if ( time_type == 0 ) {
            if (start_time == "" || stop_time == "" ) {
                start_time = "09:00";
                stop_time = "18:00";
            }
        } else if ( time_type == 4 && (start_time == "" || stop_time == "" ) ) {
            popAlert("착신전환 동작시간을 입력해주세요.");
            return;
        }
        console.log('reg_forw','착신전화!' + time_type + "::" + start_time + "::" + stop_time + "::" + type + "::" + to);
        if(!phonenumberValidation(to)){
            popAlert("착신전환 등록전화번호를 확인해 주세요.");
            return;
        }
        cordova.plugin.http.setServerTrustMode('nocheck', function() {
            console.log('reg_forw','success!');
        }, function() {
            console.log('reg_forw','error :(');
        });
        let param = '?to='+to+'&start_time='+start_time+'&type='+type+'&time_type='+time_type+'&stop_time='+stop_time;
        let tempUrl = 'https://' + serverData.cust_con_pbx_ip + ':' + serverData.cust_con_port + '/ipxapi/v1/users/' + userData.id + '/cfwd'+param;
        cordova.plugin.http.post(tempUrl, { }, {
            Authorization: 'Bearer '+userData.token
        }, function(response) {
            let jsonData = JSON.parse(response.data);
            console.log('reg_forw',"jsonData:"+JSON.stringify(jsonData));
            if(!nullcheck(jsonData.error)){
                if(jsonData.error.message == 'OK'){
                    popAlert("착신전환이 등록 되었습니다.");
                    getForward(false);
                }else{
                    popAlert(jsonData.error.message);
                }
            }else{
                popAlert("오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
            }

        }, function(response) {
            popAlert("오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
        });

    });

    //착신전화 해제 버튼
    $(".cancel_forw").on("click", function(){
        
        let time_type = $('input[name="time"]:checked').val();
        let start_time = $("#forward_start_time").val();
        let stop_time = $("#forward_end_time").val();
        let type = "0";
        let to = $(".forw_num").val();
        cordova.plugin.http.setServerTrustMode('nocheck', function() {
            console.log('cancel_forw','success!');
        }, function() {
            console.log('cancel_forw','error :(');
        });
        let param = '?to='+to+'&start_time='+start_time+'&type='+type+'&time_type='+time_type+'&stop_time='+stop_time;
        let tempUrl = 'https://' + serverData.cust_con_pbx_ip + ':' + serverData.cust_con_port + '/ipxapi/v1/users/' + userData.id + '/cfwd'+param;
        cordova.plugin.http.post(tempUrl, { }, {
            Authorization: 'Bearer '+userData.token
        }, function(response) {
            let jsonData = JSON.parse(response.data);
            console.log('cancel_forw',"jsonData:"+JSON.stringify(jsonData));
            if(!nullcheck(jsonData.error)){
                if(jsonData.error.message == 'OK'){
                    popAlert("착신전환이 해제 되었습니다.");
                    //$(".msg_box").css("background-color", "#5d5d5d");
                    getForward(false);
                }else{
                    popAlert(jsonData.error.message);
                }
            }else{
                popAlert("오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
            }

        }, function(response) {
            popAlert("오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
        });

    });
});

function getForward(first){
    console.log('getForward',"getForward:");
    //alert("getForward");

    cordova.plugin.http.setServerTrustMode('nocheck', function() {
        console.log('getForward','success!');
    }, function() {
        console.log('getForward','error :(');
    });
    
    let tempUrl = 'https://' + serverData.cust_con_pbx_ip + ':' + serverData.cust_con_port + '/ipxapi/v1/users/' + userData.id + '/cfwd';

    cordova.plugin.http.get(tempUrl, { }, {
        Authorization: 'Bearer '+userData.token
    }, function(response) {
        let jsonData = JSON.parse(response.data);
        console.log('getForward',"jsonData : "+JSON.stringify(jsonData));
        console.log('getForward',"jsonData.data : "+JSON.stringify(jsonData.data));
        console.log('getForward',"jsonData.data : "+nullcheck(jsonData.data));
        if(!nullcheck(jsonData.data)){
            window.localStorage.setArray("forwardData", jsonData.data);//저장
            printForward(first);
            return;
        }else if(!nullcheck(jsonData.error)){
            popAlert(jsonData.error.message);
        }else{
            popAlert("오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
        }
        return;
    }, function(response) {
        // prints 403
        console.log('getForward',"response status:"+response.status);
        //prints Permission denied
        console.log('getForward',response.error);
        popAlert("오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
    });
}
function printForward(first){

    //alert(first);
    let forwardData = window.localStorage.getArray("forwardData");
    //등록/해제 여부
    if(forwardData.type == 0){
        $(".msg_box").addClass('off');

    }else{
        if(forwardData.to == "8888"){
            $(".con_value").text('VMS 착신 중입니다.');
            $(".msg_box").css("background-color","#ef6964");
        }
        $(".msg_box").removeClass('off');
        $(".con_num").html(forwardData.to);
    }
    //동작시간
    switch (forwardData.time_type) {//1,2,3,4
        case "0":
            if(first){
                $("#all").prop("checked", true);
                $("#spcf").prop("checked", false);
            }else{
                $("#all").prop("checked", true).checkboxradio("refresh");
                $("#spcf").prop("checked", false).checkboxradio("refresh");
            }

            break;
        default:
            if(first){
                $("#all").prop("checked", false);
                $("#spcf").prop("checked", true);
            }else{
                $("#all").prop("checked", false).checkboxradio("refresh");
                $("#spcf").prop("checked", true).checkboxradio("refresh");
            }
    }
    $("#forward_start_time").val(forwardData.start_time);
    $("#forward_end_time").val(forwardData.stop_time);
    //동작 조건
    //$("input[name=condition]").prop("checked", false);

    //alert("forwardData.type"+forwardData.type);
    if(first){
        $("input[name=condition]").prop("checked", false);
        $("input:radio[name='condition']:radio[value='"+forwardData.type+"']").prop("checked",true);
    }else{
        $("input[name=condition]").prop("checked", false).checkboxradio("refresh");
        $("input:radio[name='condition']:radio[value='"+forwardData.type+"']").prop("checked",true).checkboxradio("refresh");
    }
    //전화번호
    $(".forw_num").val(forwardData.to);
}